import mx.managers.DragManager;
import Employee;
class DataController
{
	// constructor
	public function DataController()
	{}

	// methods
	public function addNewEmp(src:Object,dest:Object):Void
	{
		// create an Employee object
		var tmpObj:Employee=new Employee();
		// add the new data to the object properties
		tmpObj.addEmpData(src.fName,src.lName,src.location);
		// add the employee object to the destination dataProvider
		dest.addItem(tmpObj);
	}

	public function doDragEnter(event):Void
	{
		// allow drop
		event.handled=true;
		// set action to copy
		event.action=DragManager.COPY;
	}

	public function doDragDrop(event):Void
	{
		/*
		event.dragSource.dataForFormat("items") returns
		an array of dragged data items
		*/
		var items = event.dragSource.dataForFormat("items");
		// for convenience, set var for drop target
		var dest = event.target;
		// copy the item target's dataProvider
		addNewEmp(items[0],dest);
	}


}